#include <radio.h>
#include <RDA5807M.h>
#define FIX_BAND RADIO_BAND_FM  // Диапазон FM
// Далее жёстко прописаны частоты радио - узнайте заранее, какие частоты используются в Вашей местности
#define FIX_STATION1 9560   // Радио России, воспроизводится сразу
#define FIX_STATION2 10430   // Маяк
#define FIX_STATION3 9300   // Радио Вера
#define FIX_VOLUME 15       // Установка громкости 0...15
RDA5807M radio;             // Объект радио

int N = 1; // номер частоты

void setup() {
// свтодиоды канала
  // указываем пины в соответствии с ардуино нано и соотносим с ножками диповской атмеги.
  pinMode (4, OUTPUT);//1 светодиод, ножка 6
  // зануляем все выходные пины
  digitalWrite (4, LOW); //выключить
  pinMode (5, OUTPUT);//2 светодиод, ножка 5
  // зануляем все выходные пины
  digitalWrite (5, LOW); //выключить
  pinMode (12, INPUT_PULLUP);//кнопка, ножка 18
  // Проверка доступности радиомодуля - мигаем светиком если ошибка
  if (!radio.initWire(Wire)) {
    digitalWrite (5, HIGH); //включить 1 светодиод
    delay(1000);
    digitalWrite (5, LOW);    
  }
// Инициализация радио-модуля
    delay(500); 
  radio.setVolume(FIX_VOLUME);
  radio.setMono(true);
  radio.setMute(false);
  radio.setBandFrequency(FIX_BAND, FIX_STATION1);
  digitalWrite (4, HIGH); //включить 1 светодиод 
}

bool flag = false;
uint32_t btnTimer = 0;


void loop() {
  // читаем инвертированное значение для удобства
  bool btnState = !digitalRead(12);
  if (btnState && !flag && millis() - btnTimer > 100) {
    flag = true;
    btnTimer = millis();
//    Serial.println("press");

// тут считаем нажатия и грузим параметры. Сначала выключим светики
  digitalWrite (4, LOW);
  digitalWrite (5, LOW);
N = N + 1;
if (N > 3) {
 N = 1;
}
switch (N) {
      case 1:  // устанавливаем частоту
        digitalWrite (4, HIGH); //включить 1 светодиод
        delay(20);   
        radio.setBandFrequency(FIX_BAND, FIX_STATION1);
        break;
      case 2:  // устанавливаем частоту
        digitalWrite (5, HIGH); //включить 2 светодиод  
        delay(20); 
        radio.setBandFrequency(FIX_BAND, FIX_STATION2);
        break;
      case 3:  // устанавливаем частоту
        digitalWrite (4, HIGH); //включить 1 светодиод
        digitalWrite (5, HIGH); //включить 2 светодиод 
        delay(20); 
        radio.setBandFrequency(FIX_BAND, FIX_STATION3);

        break;        
  }
}  
  if (!btnState && flag && millis() - btnTimer > 100) {
   flag = false;
    btnTimer = millis();
//  Serial.println("release");
 }
}


